org.cpsolver.ifs.assignment

## Interface AssignmentComparable<X,V extends Variable<V,T>,T extends Value<V,T>>

- Type Parameters:
    `X` - A class implementing this interface
    `V` - Variable
    `T` - Value
  All Superinterfaces:
    Comparable<X>
  All Known Implementing Classes:
    CourseReservation, CSPValue, CurriculumOverride, CurriculumReservation, DummyReservation, Enrollment, ExamPlacement, GroupReservation, IndividualReservation, LearningCommunityReservation, Location, Location, Location, OnlineReservation, OnlineSection, Placement, Reservation, ReservationOverride, Section, TeachingAssignment, UniversalOverride, Value

      public interface AssignmentComparable<X,V extends Variable<V,T>,T extends Value<V,T>>
      extends Comparable<X>

  Comparable interface for assignment-dependent objects. To be used by `AssignmentComparator`.
  Version:
    IFS 1.3 (Iterative Forward Search)
    Copyright (C) 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses.
  Author:
    Tomáš Müller

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Assignment<V,T> assignment, X other)` Compare this object with a given one.
    `int` | `compareTo(X other)` Deprecated.

- - ### Method Detail

    - #### compareTo

          int compareTo(Assignment<V,T> assignment,
                        X other)

      Compare this object with a given one.
      Parameters:
        `assignment` - current assignment
        `other` - other instance
      Returns:
        comparison of this instance and the given one

    - #### compareTo

          @Deprecated
          int compareTo(X other)

      Deprecated.
      Specified by:
        `compareTo` in interface `Comparable<X>`